
import { alien } from "../navigator/StackNavigator";
import { INavigatorViewBase } from "../navigator/VirtualNavigator";
import { Button, InteractComponent } from "scilla-components/src";

export default class SceneGuide extends InteractComponent implements INavigatorViewBase {
	onAwake() {
		super.onAwake();
	}

	onGlobalTouchBegin(e) {
		super.onGlobalTouchBegin(e);
		this.onNextScene();
		return false;
	}

	onNextScene() {
		this.bubbling('fuck', 'play');
	}
	// _timer
	onDidEnter(last: string, action: alien.NavigatorAction, parameters: any): void {
		this.entity.enabled = true;
	}

	onDidLeave(next: string, action: alien.NavigatorAction, parameters: any): void {
		this.entity.enabled = false;
	}

	async onWillEnter(last: string, action: alien.NavigatorAction, parameters: any) {
	}

	async onWillLeave(next: string, action: alien.NavigatorAction, parameters: any) {
	}

	onWillMount(last: string, action: alien.NavigatorAction, parameters: any): Promise<any> {
		return undefined;
	}

	onWillUnMount(next: string, action: alien.NavigatorAction, parameters: any): Promise<any> {
		return undefined;
	}

}
